Bug 208745 - pdf2ps incorrect formatting
Summary: pdf2ps incorrect formatting
Status: CLOSED INSUFFICIENT_DATA
Alias: None
Product: Fedora
Classification: Fedora
Component: ghostscript (Show other bugs)
(Show other bugs)
Version: 6
Hardware: i386 Linux
medium
medium
Target Milestone: ---
Assignee: Tim Waugh
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2006-10-01 14:24 UTC by TonyCrouch
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-06-11 09:23:06 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
ass5.pdf (145.01 KB, application/octet-stream)
2006-12-15 16:53 UTC, Tim Waugh
no flags Details
ass5.ps (1.45 MB, application/octet-stream)
2006-12-15 16:55 UTC, Tim Waugh
no flags Details

Description TonyCrouch 2006-10-01 14:24:04 UTC
Description of problem:
When converting pdf documents to ps the document content is altered

Version-Release number of selected component (if applicable):
ghostscript-8.15.2-1.1

How reproducible:
Always

Steps to Reproduce:
1. Create a pdf file from LaTeX source (either using dvipdf or pdflatex).
2. run pdf2ps on the file to produce a ps from the pdf.
3. open the ps file using evince, noticing the document formatting is incorrect.
  
Actual results:
Document formatting is not identical

Expected results:
Document formatting should be identical

Additional info:
I have uploaded an example of this conversion process. The files are as follows:

ORIGINAL PDF FILE
-----------------
http://www-personal.une.edu.au/~acrouch2/ass5.pdf

CONVERTED (INCORRECTLY) PS FILE
-------------------------------
http://www-personal.une.edu.au/~acrouch2/ass5.ps

Comment 1 Tim Waugh 2006-12-15 16:53:34 UTC
Created attachment 143785 [details]
ass5.pdf

Comment 2 Tim Waugh 2006-12-15 16:55:19 UTC
Created attachment 143786 [details]
ass5.ps

Comment 3 Tim Waugh 2006-12-15 16:58:59 UTC
Confirmed with: ghostscript-8.15.3-1.fc6

FWIW, /usr/lib/cups/filter/pdftops seems to handle this well.

Comment 4 James Hunt 2007-01-25 09:09:14 UTC
It's not just pdf2ps, it's also ps2pdf and ps2ps: I took a ps file of an A4
document (which viewed fine in gpdf and xpdf), converted it to pdf using ps2pdf,
and it lopped the top of the document off (the company logo in my case).

Comment 5 James Hunt 2007-01-25 09:11:26 UTC
This is with ghostscript-8.15.3-3.fc6. Previous version (from last week) worked
fine.

Comment 6 Tim Waugh 2007-01-25 13:59:40 UTC
James: which version were you using last week?


Comment 7 Tim Waugh 2007-06-11 09:23:06 UTC
No response; closing.


Note You need to log in before you can comment on or make changes to this bug.